apache2-mpm-worker installieren [Debian Wheezy]

Dieses Thema im Forum "Installation und Konfiguration" wurde erstellt von peri0603, 29. Okt. 2013.

  1. peri0603

    peri0603 New Member

    Ich möchte gerne statt apache2-mpm-prefork das Paket apache2-mpm-worker einsetzen.

    <<< Ausschnitt aus SSH Konsole>>>

    peri0603@j67711:~$ sudo apt-get install apache2-mpm-worker
    [sudo] password for peri0603:
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages will be REMOVED:
    apache2-mpm-prefork libapache2-mod-php5
    The following NEW packages will be installed:
    apache2-mpm-worker
    0 upgraded, 1 newly installed, 2 to remove and 0 not upgraded.
    Need to get 0 B/2,256 B of archives.
    After this operation, 9,693 kB disk space will be freed.
    Do you want to continue [Y/n]?

    <<<Ausschnitt Ende>>>

    Wie man hier sieht wird mod-php5 entfernt. Das Problem ist dann, dass SquirrelMail und PHPmyadmin nicht mehr funtionieren, da sie ja ohne mod-php5 nicht mehr funktionieren.

    Gibt es hier einen Lösungsansatz. Ich verwende den Server nur für mich und verwende PHP als PHP-FPM und benötige deshalb kein modphp und Worker ist ja von der Perfomance viel besser als Prefork.

    Vielen Dank
     
  2. Till

    Till Administrator

    Du kannst z.B. manuell einen vhost für squirrelmail und phmyadmin erstellen der php-fpm verwendet und darüber dann diese beiden Programme aufrufen.
     

Diese Seite empfehlen